Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.randvar
Class LognormalGen

    java.lang.Object
      umontreal.iro.lecuyer.randvar.RandomVariateGen
          umontreal.iro.lecuyer.randvar.LognormalGen

    public class LognormalGen

extends RandomVariateGen

This class implements methods for generating random variates from the lognormal distribution. Its density is

f (x) = (1/((2π)1/2σx)e-(ln(x)-μ)2/(2σ2) for x > 0,

where σ > 0.

The (non-static) `nextDouble` method simply calls `inverseF` on the lognormal distribution object. One can also generate a lognormal random variate X via

`X = Math.exp (NormalGen.nextDouble (s, mu, sigma))`,

in which `NormalGen` can actually be replaced by any subclass of `NormalGen`.

Constructor Summary
`LognormalGen(RandomStream s)` Creates a lognormal random variate generator with parameters μ = 0 and σ = 1, using stream `s`.
`LognormalGen(RandomStream s, double mu, double sigma)` Creates a lognormal random variate generator with parameters μ = `mu` and σ = `sigma`, using stream `s`.
`LognormalGen(RandomStream s, LognormalDist dist)` Create a random variate generator for the lognormal distribution `dist` and stream `s`.

Method Summary
`double` | `getMu()` Returns the parameter μ of this object.
`double` | `getSigma()` Returns the parameter σ of this object.
`static double` | `nextDouble(RandomStream s, double mu, double sigma)` Generates a new variate from the lognormal distribution with parameters μ = `mu` and σ = `sigma`, using stream `s`.

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGen
`getDistribution, getStream, nextArrayOfDouble, nextDouble, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LognormalGen

    public LognormalGen(RandomStream s,
                        double mu,
                        double sigma)

  Creates a lognormal random variate generator with parameters μ = `mu` and σ = `sigma`, using stream `s`.

### LognormalGen

    public LognormalGen(RandomStream s)

  Creates a lognormal random variate generator with parameters μ = 0 and σ = 1, using stream `s`.

### LognormalGen

    public LognormalGen(RandomStream s,
                        LognormalDist dist)

  Create a random variate generator for the lognormal distribution `dist` and stream `s`.

Method Detail

### nextDouble

    public static double nextDouble(RandomStream s,
                                    double mu,
                                    double sigma)

  Generates a new variate from the lognormal distribution with parameters μ = `mu` and σ = `sigma`, using stream `s`.

### getMu

    public double getMu()

  Returns the parameter μ of this object.

### getSigma

    public double getSigma()

  Returns the parameter σ of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.